import Store from "herculex";
// 修改
import actions from "../../../../../core/pages/one/store/actions/index";
import state from "../../../../../core/pages/one/store/state";
import mutations from "../../../../../core/pages/one/store/mutations";
import getters from "../../../../../core/pages/one/store/getters";

export default new Store({
	connectGlobal: true,
	state,
	mutations,
	getters,
	actions: {
		async init({ dispatch }, payload) {
			await dispatch("start", payload);
		},
		...actions,
	},
});
